/*
                 ,----------------, 
           ,-----------------------,
         ,"                      ,"|
        +-----------------------+  |
        |  .-----------------.  |  |
        |  |                 |  |  | 
        |  | Hack the Gibson |  |  |
        |- |      TERM       |  |  |
        |- |                 |  |  | 
        |- |                 |  |  | 
        |- `-----------------'  |,"
        +-----------------------+
           /_)______________(_/
      _______________________________ 
     /  oooooooooooooooo  .o.  oooo /|
    / ==ooooooooooooooo==.o.  ooo= // 
   /_==__==========__==_ooo__ooo=_/'
   `-----------------------------'

  Hack the Gibson TERM is GNU software
   please read ../COPYING for details

hgterm by Thea DeSilva
*/

#define KEY_BUF_EMPTY	0xff

extern int cur_frame;
extern int qfd;

extern unsigned char *key_buf;
extern int key_rep, key_del, key_down, key_down_state;
extern int cursor_blink, cblink;

extern int d_width, d_height, d_depth;
SDL_Surface *d_screen;

void d_screen_shot(char *filename);
void d_resize(int x, int y);
void d_ss(void);
void d_ws(void);
int d_init(int x, int y, int d);
void d_drawscreen(void);
void d_input(void);
void d_bell(void);
unsigned char d_pullkey(void);


/* key map */

extern int shift_count, norm_count;

#define SHIFT 0
#define END   1

typedef struct { 
 int type, scancode;
 char charr; 
} key_ent; 

extern key_ent *shift_keys;
extern key_ent *norm_keys;
