/*
                 ,----------------, 
           ,-----------------------,
         ,"                      ,"|
        +-----------------------+  |
        |  .-----------------.  |  |
        |  |                 |  |  | 
        |  | Hack the Gibson |  |  |
        |- |      TERM       |  |  |
        |- |                 |  |  | 
        |- |                 |  |  | 
        |- `-----------------'  |,"
        +-----------------------+
           /_)______________(_/
      _______________________________ 
     /  oooooooooooooooo  .o.  oooo /|
    / ==ooooooooooooooo==.o.  ooo= // 
   /_==__==========__==_ooo__ooo=_/'
   `-----------------------------'

  Hack the Gibson TERM is GNU software
   please read ../COPYING for details

hgterm by Thea DeSilva
*/



#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <SDL.h>
#include "include.h"

SAMPLE *samples[32];
int issound;

void init_snd(int type) {
 allegro_init();
 issound = -1;
//  issound = install_sound(type, MIDI_NONE, "/etc");
 set_volume_per_voice(5);
}

void rm_snd(void) {
 remove_sound(); 
 issound = -1;
}

void snd_load(int type, char *filename) {
 if(issound == 0) samples[type] = load_sample(filename);
 else return;
 if(!samples[type]) {
  printf("Cannot load sample: %s\n", filename);
  exit(-1);
 } 
}

void make_sound(int type) {
 if(issound != 0) return;
 play_sample(samples[type], 255, 128, 1000, FALSE);
}

