/*
                 ,----------------, 
           ,-----------------------,
         ,"                      ,"|
        +-----------------------+  |
        |  .-----------------.  |  |
        |  |                 |  |  | 
        |  | Hack the Gibson |  |  |
        |- |      TERM       |  |  |
        |- |                 |  |  | 
        |- |                 |  |  | 
        |- `-----------------'  |,"
        +-----------------------+
           /_)______________(_/
      _______________________________ 
     /  oooooooooooooooo  .o.  oooo /|
    / ==ooooooooooooooo==.o.  ooo= // 
   /_==__==========__==_ooo__ooo=_/'
   `-----------------------------'

  Hack the Gibson TERM is GNU software
   please read ../COPYING for details

hgterm by Thea DeSilva
*/


#define WAIT		1
#define	GO		2

#define INIT		1
#define ENABLE_THEM	2

#define ENABLE 		1
#define DISABLE		0

#define SYNC		1
#define CALLBACK	2

typedef struct {
 void (*callback)();
 int clock, reset;
 int enabled;
 int sleep, tsleep;
} s_callback_t;

typedef struct {
 int *reg;
 int clock, reset;
 int enabled;
} s_sync_t;

extern int s_time_base;

int s_init(void);

int  s_register(  int tf, void *reg, int type);
int  s_deregister(void *reg, int type);
void s_ssync(     void *reg, int, int);
int  s_enabled(   void *reg, int type);
int s_sleep( void *reg, int len);


/* Times per second */

#define TPS(x)		((1000/s_time_base)/x)
