/*
                 ,----------------, 
           ,-----------------------,
         ,"                      ,"|
        +-----------------------+  |
        |  .-----------------.  |  |
        |  |                 |  |  | 
        |  | Hack the Gibson |  |  |
        |- |      TERM       |  |  |
        |- |                 |  |  | 
        |- |                 |  |  | 
        |- `-----------------'  |,"
        +-----------------------+
           /_)______________(_/
      _______________________________ 
     /  oooooooooooooooo  .o.  oooo /|
    / ==ooooooooooooooo==.o.  ooo= // 
   /_==__==========__==_ooo__ooo=_/'
   `-----------------------------'

  Hack the Gibson TERM is GNU software
   please read ../COPYING for details

hgterm by Thea DeSilva
*/

#define	T2L(x, y, w)	((x)+((y)*(w)))  /* 2D coord to linear coord */
#define TOP_LEFT	0
#define TOP_RIGHT 	1
#define BOT_LEFT	2
#define BOT_RIGHT	3

unsigned char *surface2rgb(SDL_Surface *image, int *c);
SDL_Surface *file2surface(char *filename);

typedef struct {
 float x, y, z;
} vect_t;

extern vect_t accum_v;
extern float  accum_f;

void  vect_scale(vect_t *a, float *b);
void   norm_vect(vect_t *a);
void    add_vect(vect_t *a, vect_t *b, vect_t *c);
void    sub_vect(vect_t *a, vect_t *b, vect_t *c);
void    mul_vect(vect_t *a, float  *b, vect_t *c);
void    div_vect(vect_t *a, float  *b, vect_t *c);
void points2vect(vect_t *a, vect_t *b, vect_t *c);
